/**
 * @(#) 1.3 SSOA/ws/code/soa.sca.bindings.jms/src.stage2/com/ibm/websphere/soa/sca/wireformat/WireFormatHandlerException.java, WAS.soa.sca.bindings.jms, SCA101.SSOA, cf051018.03 9/30/09 13:03:53 [5/10/10 22:20:28]
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *         
 */

package com.ibm.websphere.soa.sca.wireformat;

/**
 * @ibm-api
 */

/**
 * The Class WireFormatHandlerException.
 */
public class WireFormatHandlerException extends Exception {

    /**
     * Instantiates a new wire format handler exception.
     */
    public WireFormatHandlerException() {
        super();
    }

    /**
     * Instantiates a new wire format handler exception.
     * 
     * @param message the message
     * @param cause the cause
     */
    public WireFormatHandlerException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Instantiates a new wire format handler exception.
     * 
     * @param message the message
     */
    public WireFormatHandlerException(String message) {
        super(message);
    }

    /**
     * Instantiates a new wire format handler exception.
     * 
     * @param cause the cause
     */
    public WireFormatHandlerException(Throwable cause) {
        super(cause);
    }
}
