/*
 * Version: @(#) 1.2 SSOA/ws/code/soa.sca.container.spi/src/com/ibm/wsspi/container/binding/Service.java, WAS.soa.sca.container.spi, SCA101.SSOA, cf051018.03 09/06/22 18:06:09 [5/10/10 22:21:28]
 *
 * COMPONENT_NAME: <WAS.soa.sca.container.spi>
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 *
 * HISTORY
 * CMVC Ref         Date      Who       Description
 * --------------- 	--------- --------- --------------------------------------------
 * F00CmnContainer  20090605  srashmi   Initial Implementation
 */
package com.ibm.wsspi.container.binding;

import java.util.List;

/**
 * The declaration of a service.
 * @ibm-spi
 */
public interface Service<M> {
	
    /**
     * Returns the service name
     *     
     * @return service name
     */
	String getName();

    /**
     * Returns list of bindings
     *     
     * @return bindings
     */
	List<Binding> getBindings();
	
    /**
     * Returns either PortType for wsdl interface or java Class
     *     
     * @return service name
     */
	
	M getInterface();
}
