/*
 * @(#) 1.4 SSOA/ws/code/soa.functionEquiv/src/com/ibm/websphere/sca/context/CurrentCompositeContext.java, WAS.soa.functionEquiv, SCA101.SSOA, cf051018.03 6/16/09 21:36:55 [5/10/10 22:21:08]
 *
 * COMPONENT_NAME: WAS.soa.functionEquiv
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2007,2008
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 *
 * HISTORY
 * CMVC Ref        Date     Who      Description
 * --------------- -------- -------- --------------------------------------------
 * 552792          10/10/08 yanglei  change header 
 */

package com.ibm.websphere.sca.context;

import com.ibm.websphere.sca.context.CompositeContext;
import com.ibm.websphere.sca.context.impl.CurrentCompositeContextImpl;

/**
 * org.osoa.sca.CurrentCompositeContext was removed from the 1.0 version of the
 * SCA spec. This class provides a replacement for the function that was
 * removed.
 * @ibm-api
 */
public class CurrentCompositeContext {

    /**
     * Returns the current composite context.
     * 
     * @return the current composite context, may be null
     */
    public static CompositeContext getContext() {
        // implementation done in another class
        return CurrentCompositeContextImpl.getContext();
    }

    /**
     * Sets the current composite context.
     * 
     * @param context to associated; may be null
     * @return the context previously associated, may be null
     */
    public static CompositeContext setContext(CompositeContext context) {
        // implementation done in another class
        return CurrentCompositeContextImpl.setContext(context);
    }
}
