/*
 * @(#) 1.2 SSOA/ws/code/soa.sca.container.security/src/com/ibm/wsspi/container/security/AccessException.java, WAS.security.sca, SCA101.SSOA, cf051018.03 7/13/09 09:40:27 [5/10/10 22:21:11]
 *
 * COMPONENT_NAME:  WAS.soa.sca.container.spi
 *
 * Product 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2
 * (C) COPYRIGHT International Business Machines Corp., 2007, 2008
 * All Rights Reserved * Licensed Materials - Property of IBM
 *
 *
 * HISTORY
 * CMVC Ref         Date      Who       Description
 * --------------- 	--------- --------- --------------------------------------------
 * F00CmnContainer  20090626  gregd1    Initial Implementation
 */

package com.ibm.wsspi.container.security;

/**
 * AccessException is thrown by AccessManager.checkAccess when the subject does not have access.
 * @ibm-spi
 */

public class AccessException extends Exception {

    public AccessException() {
    }

    public AccessException(String msg) {
       super(msg);
    }

    public AccessException(String msg, Throwable t) {
       super(msg, t);
    }

}
